# EvBasket

Redefine a controllers constructor as follows to add the basket component to the controller

	public function __construct(CakeRequest $Request, CakeResponse $Response) {
		if (empty($this->components['BasketManager'])) {
			$this->components['BasketManager'] = array(
				'className' => 'EvBasket.Basket',
				'Basket' => EvClassRegistry::init('EvBasket.Basket'),
				'BasketItem' => EvClassRegistry::init('EvBasket.BasketItem'),
				'BasketTotal' => EvClassRegistry::init('EvBasket.BasketTotal')
			);
		}

		parent::__construct($Request, $Response);
	}

This makes the basket component available at `$this->BasketManager` from within the Controller.

## Events

### EvBasket.Component.Basket.itemAdd

Called in the Basket Component by addItem right have an item has been successfully added / updated

#### Parameters

* `basketId` - The id of the basket row we have added to
* `items` - An array containing the items successfully updated

### EvBasket.Component.Basket.itemUpdated

Called in the Basket Component by updateItem right have an item has been successfully updated

#### Parameters

* `basketId` - The id of the basket row we have added to
* `items` - An array containing the items successfully updated

### EvBasket.Component.Basket.itemDeleted

Called in the Basket Component by deleteItem right have an item has been successfully deleted

#### Parameters

* `basketId` - The id of the basket row we have added to
* `itemKey` - The item key we have added in model.model_id format
* `BasketItem` - A copy of the BasketItem object that just saved the item

### EvBasket.Component.Basket.postTotalRecompile

Called in the Basket Component after any totals have successfully recompiled

#### Parameters

* `basketId` - The id of the basket row we have added to


